LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 11-22-2002, 10:41 AM   #1
marcoc
Member
 
Registered: Mar 2002
Location: Rome, Italy
Distribution: Mandrake 10.1 Community, Suse 9.2, Fedora Core 2
Posts: 35

Rep: Reputation: 15
Question istalling Fortran 77 support for gcc


Hello!

After the upgrade from Mdk 8.2 to 9.0, for some reason, Fortran compiler disappeared from my computer. I just wento to Mandrake Control Center to re-install it (it seems it is not installed anymore...) and I found a package named "ggc3.0-g77", that it seems what I'm searching.

Two questions:

1) The Package installer says that "if you have multiple versions of GCC installed on your system, it is preferred to type "g77-$(gcc3-version)" (without double quotes) in order to use the GNU Fortran 77 compiler.

(what does it means...?)

2) if I ask to install, package manager tell me that following packages must be removed:

gcc-3.2-1mdk
gcc-c++-3.2-1mdk
gcc-cpp-3.2-1mdk
kdevelop-2.1.3-6mdk
rpm-build-4.0.4-19mdk

Why all these package must be removed? Can I safely go on with installation, or there is some danger for stability of the system?

Thanks in advance!
 
Old 11-23-2002, 12:14 AM   #2
jdc2048
Member
 
Registered: Jul 2002
Location: Ohio, USA
Distribution: Redhat, Gentoo, Solaris, HP-UX, etc...
Posts: 391

Rep: Reputation: 30
You need to get "gcc-g77-3.2.1mdk"

ftp://ftp.rpmfind.net/linux/Mandrake...-1mdk.i586.rpm

HTH
Jeremiah



<edit>
The link doesn't seem to be working for me right now? Could be on my end.


Last edited by jdc2048; 11-23-2002 at 12:15 AM.
 
Old 11-28-2002, 06:58 AM   #3
marcoc
Member
 
Registered: Mar 2002
Location: Rome, Italy
Distribution: Mandrake 10.1 Community, Suse 9.2, Fedora Core 2
Posts: 35

Original Poster
Rep: Reputation: 15
Thank you very much Jeremiah! I just installed the software, without any problems of libraries... (the link to rpmfind worked properly, to me)

Regards,

Marco


Quote:
Originally posted by jdc2048
You need to get "gcc-g77-3.2.1mdk"

ftp://ftp.rpmfind.net/linux/Mandrake...-1mdk.i586.rpm

HTH
Jeremiah



<edit>
The link doesn't seem to be working for me right now? Could be on my end.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
a question regardin fortran program tal Programming 3 09-17-2007 08:13 AM
Fortran compiler gcc-g77 installation problem refp16 Linux - Software 6 11-26-2005 01:49 PM
does linux fortran compiler in fedora 4 support VAX FORTRAN? terrence Programming 17 08-31-2005 09:59 AM
compile( gcc-g77) fortran with fedora core 3 gambato79 Programming 1 05-06-2005 01:49 PM
aix fortran question zepplin611 AIX 5 02-04-2004 04:22 PM


All times are GMT -5. The time now is 10:38 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration